Text Authoring

Get document

Use this endpoint to retrieve your text content in CXUC. The $ACCOUNT is your assigned subdomain, or just replace the URL if you have a custom domain.

get
https://$ACCOUNT.bynder.com/api/1/authoring/documents/{document_uuid}

Path Parameters

document_uuidstringrequired

The UUID of the document to be actioned.

Headers

Acceptstring

The Accept header must be set to application/vnd.api+json

Authorizationstringrequired

The authorization header that is using the JWT token and the Bearer scheme.

Match pattern:Bearer .+

Refererstring

The referer header is required to derive the calling module for permissions functionality.

Example:https://account.example.com/guidelines/page/d4822bae-91ac-4cec-b392-9c5c1877f718

Response

application/vnd.api+json

A DocumentContent response

DocumentContentBody

dataobjectrequired
Show Child Parameters
get/documents/{document_uuid}
 
application/vnd.api+json

Accept

string

Attributes

object
documentstring

Example:{"content":[{"content":[{"text":"Hello world.","type":"text"}],"type":"paragraph"}],"type":"doc"}

documentGroupIdstring

The group id to which the document belongs. This is used to group documents together.

Example:group_id_1

htmlstring

HTML string

Example:<p>Hello world!</p>

Example

Data

object
idstringrequired

UUID identifier

typestringrequired

Resource type

Example

DocumentContentBody

object
dataobjectrequired
Show Child Parameters
Example